Product Hunt forum threads
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-forums-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"max_items": 2
}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-forums-search"
payload = { "max_items": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-forums-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_forums_search",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Product Hunt — forum threads\n\n- **Query:** all\n- **Results:** 2 of 2568 found\n- **Proxy traffic:** 597.3 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "google-cloud-platform/google-cloud-run-takeover-hackathon",
"name": "Google Cloud Run Takeover & Hackathon!",
"url": "https://www.producthunt.com/p/google-cloud-platform/google-cloud-run-takeover-hackathon",
"thread_id": "945304",
"forum": "google-cloud-platform",
"preview": "We teamed up with @GoogleCloud for a Cloud Run Hackathon October 14th! To kick things off, we're celebrating on the leaderboard so you can meet the people behind Cloud Run.",
"votes_count": 235,
"comments_count": 18,
"pinned": true,
"created_at": "2026-10-06T06:10:47-07:00",
"user": {
"id": "gabe",
"name": "Gabe Perez",
"username": "gabe",
"url": "https://www.producthunt.com/@gabe",
"headline": null,
"image": "https://ph-avatars.imgix.net/84553/afd8c28f-5881-4a33-aa3d-9bc02e32c192.jpeg"
}
},
"items": [
{
"id": "google-cloud-platform/google-cloud-run-takeover-hackathon",
"name": "Google Cloud Run Takeover & Hackathon!",
"url": "https://www.producthunt.com/p/google-cloud-platform/google-cloud-run-takeover-hackathon",
"thread_id": "945304",
"forum": "google-cloud-platform",
"preview": "We teamed up with @GoogleCloud for a Cloud Run Hackathon October 14th! To kick things off, we're celebrating on the leaderboard so you can meet the people behind Cloud Run.",
"votes_count": 235,
"comments_count": 18,
"pinned": true,
"created_at": "2026-10-06T06:10:47-07:00",
"user": {
"id": "gabe",
"name": "Gabe Perez",
"username": "gabe",
"url": "https://www.producthunt.com/@gabe",
"headline": null,
"image": "https://ph-avatars.imgix.net/84553/afd8c28f-5881-4a33-aa3d-9bc02e32c192.jpeg"
}
},
{
"id": "runevr/when-was-the-last-time-you-did-some-sport",
"name": "🏃 When was the last time you did some sport?",
"url": "https://www.producthunt.com/p/runevr/when-was-the-last-time-you-did-some-sport",
"thread_id": "947610",
"forum": "runevr",
"preview": "I just walked out of the gym, and I feel ready to move mountains! =D For a while, I gave up exercising. And yesterday, the bell rang when my teammate asked the whole team: When was the last time you d",
"votes_count": 25,
"comments_count": 22,
"pinned": false,
"created_at": "2026-10-09T00:19:19-07:00",
"user": {
"id": "adana",
"name": "Adana Marukhyan",
"username": "adana",
"url": "https://www.producthunt.com/@adana",
"headline": null,
"image": "https://ph-avatars.imgix.net/9683599/a85f4f4c-4361-4779-b24a-8f4ff5418b4e.jpeg"
}
}
],
"total_found": 2568,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 611612
},
"total_points": 2
}Startup & Funding Data
Product Hunt forum threads
Browse Product Hunt forum threads page by page, or search them by keyword. 1 point per returned record.
POST
/
functions
/
v1
/
run-producthunt-forums-search
Product Hunt forum threads
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.